Index: web/standard/src/main/webapp/resources/js/xwiki/table/livetable.js
===================================================================
--- web/standard/src/main/webapp/resources/js/xwiki/table/livetable.js	(revision 28849)
+++ web/standard/src/main/webapp/resources/js/xwiki/table/livetable.js	(revision )
@@ -529,8 +529,8 @@
          self.pagesNodes.push(elem.down(".xwiki-livetable-pagination-content"));
       });
       this.max = max;
-      $(this.table.domNodeName).select("span.prevPagination").invoke("observe", "click", this.gotoPrevPage.bind(this));
-      $(this.table.domNodeName).select("span.nextPagination").invoke("observe", "click", this.gotoNextPage.bind(this));
+      $(this.table.domNodeName).select("a.prevPagination").invoke("observe", "click", this.gotoPrevPage.bind(this));
+      $(this.table.domNodeName).select("a.nextPagination").invoke("observe", "click", this.gotoNextPage.bind(this));
     },
     refreshPagination: function()
     {
@@ -572,12 +572,13 @@
       }
     },
     createPageLink:function(page, selected) {
-        var pageSpan = new Element("span", {'class':'pagenumber'}).update(page);
+        var pageSpan = new Element("a", {'class':'pagenumber', 'href':'#'}).update(page);
         if (selected) {
            pageSpan.addClassName("selected");
         }
         var self = this;
         pageSpan.observe("click", function(ev){
+            ev.stop();
             self.gotoPage(ev.element().innerHTML);
         });
         return pageSpan;
@@ -586,14 +587,16 @@
     {
       this.table.showRows(((parseInt(page) - 1 )* this.table.limit) + 1, this.table.limit);
     },
-    gotoPrevPage: function() {
+    gotoPrevPage: function(ev) {
+      ev.stop();
       var currentPage = Math.floor( this.table.lastoffset / this.table.limit) + 1;
       var prevPage = currentPage - 1;
       if (prevPage > 0) {
         this.table.showRows(((parseInt(prevPage) - 1) * this.table.limit) + 1, this.table.limit);
       }
     },
-    gotoNextPage: function() {
+    gotoNextPage: function(ev) {
+      ev.stop();
       var currentPage = Math.floor( this.table.lastoffset / this.table.limit) + 1;
       var pages = Math.ceil(this.table.totalRows / this.table.limit);
       var nextPage = currentPage + 1;
Index: web/standard/src/main/webapp/resources/js/xwiki/table/livetable.css
===================================================================
--- web/standard/src/main/webapp/resources/js/xwiki/table/livetable.css	(revision 28849)
+++ web/standard/src/main/webapp/resources/js/xwiki/table/livetable.css	(revision )
@@ -24,19 +24,19 @@
 .xwiki-livetable-pagination .xwiki-livetable-pagination-content, .xwiki-livetable-pagination .xwiki-livetable-pagination-text {
   display: inline;
 }
-.xwiki-livetable-pagination span.pagenumber {
+.xwiki-livetable-pagination a.pagenumber {
   color: $theme.textPrimaryColor;
   cursor: pointer;
 }
-.xwiki-livetable-pagination span.pagenumber:hover {
+.xwiki-livetable-pagination a.pagenumber:hover {
   color: $theme.linkColor;
   text-decoration: underline;
 }
-.xwiki-livetable-pagination span.selected {
+.xwiki-livetable-pagination a.selected {
   color: $theme.textColor;
   font-weight: bold;
 }
-.xwiki-livetable-pagination span.pagenumber:focus {
+.xwiki-livetable-pagination a.pagenumber:focus {
   outline: 1px dotted $theme.linkColor;
 }
 /* <Pagination>*/
@@ -54,7 +54,7 @@
   padding: 0 !important;
   float: right;
 }
-.controlPagination span {
+.controlPagination a {
   position: absolute;
   top: 0;
   left: 0;
@@ -63,21 +63,21 @@
   overflow: hidden;
   border: none;
 }
-.controlPagination span.prevPagination , .controlPagination span.noPrevPagination, .controlPagination span.nextPagination, .controlPagination span.noNextPagination {
+.controlPagination a.prevPagination , .controlPagination span.noPrevPagination, .controlPagination a.nextPagination, .controlPagination span.noNextPagination {
   background-image: url("$xwiki.getSkinFile('icons/xwiki/pagination-controls.png')");
   width: 21px;
   height: 22px;
 }
-.controlPagination span.prevPagination:hover, .controlPagination span.nextPagination:hover {
+.controlPagination a.prevPagination:hover, .controlPagination a.nextPagination:hover {
   cursor: pointer;
 }
-.controlPagination span.prevPagination {
+.controlPagination a.prevPagination {
   background-position: left top;
 }
 .controlPagination span.noPrevPagination {
   background-position: left bottom;
 }
-.controlPagination span.nextPagination {
+.controlPagination a.nextPagination {
   background-position: right top;
   left: 21px;
 }
Index: web/standard/src/main/webapp/templates/macros.vm
===================================================================
--- web/standard/src/main/webapp/templates/macros.vm	(revision 28849)
+++ web/standard/src/main/webapp/templates/macros.vm	(revision )
@@ -1603,8 +1603,8 @@
           <img src="$xwiki.getSkinFile('icons/xwiki/ajax-loader-large.gif')" alt="$msg.get('xe.livetable.loading')" title="" />
         </span>
         <span class="controlPagination">
-          <span title="$msg.get('xe.pagination.page.prev.title')" class="prevPagination"></span>
-          <span title="$msg.get('xe.pagination.page.next.title')" class="nextPagination"></span>
+          <a title="$msg.get('xe.pagination.page.prev.title')" class="prevPagination" href="#"><span class="hidden">$msg.get('xe.pagination.page.prev.title')</span></a>
+          <a title="$msg.get('xe.pagination.page.next.title')" class="nextPagination" href="#"><span class="hidden">$msg.get('xe.pagination.page.next.title')</span></a>
         </span>
         <span class="pagination">
           <span class="xwiki-livetable-pagination-text">$msg.get("xe.pagination.page")</span>
@@ -1699,8 +1699,8 @@
     <tr>
       <td class="xwiki-livetable-pagination">
         <span class="controlPagination">
-          <span title="$msg.get('xe.pagination.page.prev.title')" class="prevPagination"></span>
-          <span title="$msg.get('xe.pagination.page.next.title')" class="nextPagination"></span>
+          <a title="$msg.get('xe.pagination.page.prev.title')" class="prevPagination" href="#"><span class="hidden">$msg.get('xe.pagination.page.prev.title')</span></a>
+          <a title="$msg.get('xe.pagination.page.next.title')" class="nextPagination" href="#"><span class="hidden">$msg.get('xe.pagination.page.next.title')</span></a>
         </span>
         <span class="pagination">
           <span class="xwiki-livetable-pagination-text">$msg.get('xe.pagination.page')</span>
